Loading...
Searching...
No Matches
tds_cursor Struct Reference

Holds information about a cursor. More...

`#include <tds.h>`

Collaboration diagram for tds_cursor:
[legend]

## Public Attributes

TDS_INT | concurrency
TDS_INT | cursor_id
| cursor id returned by the server after cursor declare
char * | cursor_name
| name of the cursor
TDS_INT | cursor_rows
| < number of updatable columns
bool | defer_close
| true if cursor was marker to be closed when connection is idle
struct tds_cursor * | next
| next in linked list, keep first
TDS_TINYINT | options
| read only|updatable TODO use it
char * | query
| SQL query.
TDS_INT | ref_count
| reference counter so client can retain safely a pointer
TDSRESULTINFO * | res_info
TDS_USMALLINT | srv_status
TDS_CURSOR_STATUS | status
| cursor parameter
TDS_INT | type
| row fetched from this cursor

## Detailed Description

Holds information about a cursor.

## Member Data Documentation

## cursor_rows

TDS_INT tds_cursor::cursor_rows

< number of updatable columns

< updatable column list number of cursor rows to fetch

The documentation for this struct was generated from the following file:

- include/freetds/tds.h